Subject: Re: bug#10650: view-mode inconsistencies wrt special mode-class

From: Glenn Morris <[email-masked]>
Date: Mon, 30 Jan 2012 21:50:54 -0500

Stefan Monnier wrote:

> Note that part of the problem here, really is `special mode-class',
> which is a largely undefined concept both in terms of "what it's
> supposed to mean" and "what effects does it have".

AFAIK, the only documented meaning of special mode-class is:

If the default-value of major-mode is nil, then creating a new buffer
inherits the major-mode of the previously current buffer UNLESS that
buffer has a special mode-class, in which case the new buffer gets
fundamental mode. (Doesn't seem a very useful feature to me.)

The only other effect I am aware of it having is the one on view-mode
(which isn't documented, and seems unrelated to the previous paragraph.)